Category: Processing/Modeller

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19994

Description

I found a bad bug in the modeller in master (and 2.6 I suppose) that is certainly a regression:

when there are many "file" parameters, then when using them inside modules the same "file" parameter is used regardless of what the

user can choose (and save).

See attached screencast.

I also noticed that a "string" parameter (with a file path) cannot be used in replacement of the "file" parameter, that is unfortunate as it have

would worked as workaround for the above issue.

In modules where a file is expected as input (and in r.reclass) it would be very handy if in the modeller the user could have the chance to

open a dialog and choose the file as it is possible when the same module is used outside de modeller.

History

#1 - 2014-11-29 11:27 AM - Giovanni Manghi

- File reclass_bug.mp4 added

#2 - 2014-11-29 11:27 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#3 - 2014-11-29 11:32 AM - Giovanni Manghi

moreover input space where a file is expected seems it can be manually filled with a path, but after closing and reopening a the module the path is gone.

#4 - 2014-12-22 11:24 PM - Victor Olaya

- Status changed from Open to Feedback

should be fixed now. Can you check?

#5 - 2014-12-23 06:43 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

reclass_bug.mp4 2.36 MB 2014-11-29 Giovanni Manghi
